Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.security.digest
Class MD512BitBlock

    java.lang.Object
      com.mindbright.jca.security.MessageDigestSpi
          com.mindbright.jca.security.MessageDigest
              com.mindbright.security.digest.MD512BitBlock

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  MD5, RIPEMD160, SHA1, SHA256

public abstract class MD512BitBlock
extends MessageDigest
implements java.lang.Cloneable

Field Summary
`protected byte[]` | `buffer`
`protected long` | `count`
`protected int` | `digestLength`
`protected static byte[]` | `md4_padding`
`protected int` | `rest`

Fields inherited from class com.mindbright.jca.security.MessageDigest
`algorithm, provider`

Constructor Summary
`protected` | `MD512BitBlock(java.lang.String algorithm, int digestLength)`

Method Summary
`java.lang.Object` | `clone()`
`protected abstract MD512BitBlock` | `cloneInternal()`
`protected byte[]` | `engineDigest()`
`protected int` | `engineGetDigestLength()`
`protected void` | `engineUpdate(byte input)`
`protected void` | `engineUpdate(byte[] data, int offset, int length)`
`protected static int` | `rotateLeft(int x, int n)`
`protected abstract void` | `transform(byte[] data, int offset)`

Methods inherited from class com.mindbright.jca.security.MessageDigest
`digest, digest, digest, getAlgorithm, getDigestLength, getInstance, getInstance, getProvider, isEqual, reset, toString, update, update, update`

Methods inherited from class com.mindbright.jca.security.MessageDigestSpi
`engineDigest, engineReset`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### count

    protected long count

### rest

    protected int rest

### buffer

    protected byte[] buffer

### digestLength

    protected int digestLength

### md4_padding

    protected static final byte[] md4_padding

Constructor Detail

### MD512BitBlock

    protected MD512BitBlock(java.lang.String algorithm,
                            int digestLength)

Method Detail

### rotateLeft

    protected static final int rotateLeft(int x,
                                          int n)

### clone

    public final java.lang.Object clone()

  Overrides:
    `clone` in class `MessageDigest`

### engineUpdate

    protected final void engineUpdate(byte input)

  Specified by:
    `engineUpdate` in class `MessageDigestSpi`

### engineUpdate

    protected final void engineUpdate(byte[] data,
                                      int offset,
                                      int length)

  Specified by:
    `engineUpdate` in class `MessageDigestSpi`

### engineDigest

    protected final byte[] engineDigest()

  Specified by:
    `engineDigest` in class `MessageDigestSpi`

### engineGetDigestLength

    protected final int engineGetDigestLength()

  Overrides:
    `engineGetDigestLength` in class `MessageDigestSpi`

### transform

    protected abstract void transform(byte[] data,
                                      int offset)

### cloneInternal

    protected abstract MD512BitBlock cloneInternal()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD